player_position2d_geom Struct Reference

position2d geom More...

`#include <player_interfaces.h>`

## Public Attributes

player_pose3d_t | pose
| Pose of the robot base, in the robot cs (m, rad). More...
player_bbox3d_t | size
| Dimensions of the base (m). More...

## Detailed Description

position2d geom

## Member Data Documentation

player_pose3d_t player_position2d_geom::pose

Pose of the robot base, in the robot cs (m, rad).

Referenced by SegwayRMP400::ProcessMessage(), ER::ProcessMessage(), and ClodBuster::ProcessMessage().

player_bbox3d_t player_position2d_geom::size

Dimensions of the base (m).

Referenced by SegwayRMP400::ProcessMessage(), ER::ProcessMessage(), RFLEX::ProcessMessage(), and ClodBuster::ProcessMessage().

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45